# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

# NOTE! THIS FILE IS AUTOMATICALLY GENERATED AND WILL BE
# OVERWRITTEN WHEN PREPARING PACKAGES.
#
# IF YOU WANT TO MODIFY THIS FILE, YOU SHOULD MODIFY THE TEMPLATE
# `get_provider_info_TEMPLATE.py.jinja2` IN the `dev/breeze/src/airflow_breeze/templates` DIRECTORY


def get_provider_info():
    return {
        "package-name": "apache-airflow-providers-ydb",
        "name": "YDB",
        "description": "`YDB <https://ydb.tech/>`__\n",
        "state": "ready",
        "source-date-epoch": 1734537521,
        "versions": ["2.1.0", "2.0.0", "1.4.0", "1.3.0", "1.2.0", "1.1.0", "1.0.0"],
        "dependencies": [
            "apache-airflow>=2.9.0",
            "apache-airflow-providers-common-sql>=1.20.0",
            "ydb>=3.18.8",
            "ydb-dbapi>=0.1.0",
        ],
        "integrations": [
            {
                "integration-name": "YDB",
                "external-doc-url": "https://ydb.tech/docs/en/",
                "how-to-guide": ["/docs/apache-airflow-providers-ydb/operators/ydb_operator_howto_guide.rst"],
                "logo": "/integration-logos/ydb/ydb.png",
                "tags": ["software"],
            }
        ],
        "operators": [{"integration-name": "YDB", "python-modules": ["airflow.providers.ydb.operators.ydb"]}],
        "hooks": [{"integration-name": "YDB", "python-modules": ["airflow.providers.ydb.hooks.ydb"]}],
        "connection-types": [
            {"hook-class-name": "airflow.providers.ydb.hooks.ydb.YDBHook", "connection-type": "ydb"}
        ],
    }
